petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexProjectField

This projects the given function of the fields into the function space provided.

### Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    #include "petscksp.h"
    PetscErrorCode DMPlexProjectField(DM dm, Vec U, void (**funcs)(const PetscScalar[], const PetscScalar[], const PetscScalar[], const PetscScalar[], const PetscScalar[], const PetscScalar[], const PetscReal [], PetscScalar []), InsertMode mode, Vec X)

### Input Parameters

| dm | - The DM
| U | - The input field vector
| funcs | - The functions to evaluate, one per field
| mode | - The insertion mode for values

### Output Parameter

X -The output vector

### See Also

DMPlexProjectFunction(), DMPlexComputeL2Diff()

Level:developer
Location:src/ksp/ksp/utils/dmproject.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages